> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves an affiliation cashback.

> Returns this specific cashback details.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.2/connector.json get /connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/{cashback_id}
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.2
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/{cashback_id}:
    get:
      tags:
        - Reward
      summary: Retrieves an affiliation cashback.
      description: |
        Returns this specific cashback details.
      operationId: get.AffiliationCashbackConsumerDetail.impersonate
      parameters:
        - description: Unique ID of the cashback reward.
          in: path
          name: cashback_id
          required: true
          schema:
            format: uuid
            type: string
        - description: The id you used to create the given consumer
          in: path
          name: consumer_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliationCashbackConsumer'
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    AffiliationCashbackConsumer:
      properties:
        amount:
          description: Amount of the transaction
          example: -23.68
          readOnly: true
          type: number
        cancellation_date:
          description: Date of cancellation by the merchant of a reward
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        cancellation_reason:
          description: Text message explaining the reason of cancellation
          example: Transaction has been deleted
          nullable: true
          readOnly: true
          type: string
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        pending_validation_date:
          description: Date of the cashback pending validation status
          example: '2018-11-28T16:52:47.768060+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        status:
          description: >
            Status of the affiliation cashback:

            - PENDING_VALIDATION: The reward is pending the payment from the
            merchant.

            - PAID_OUT: The reward has been paid to the program.

            - CANCELLED : Cancelled by the merchant or by a technical action.
          example: PENDING_VALIDATION
          readOnly: true
          type: string
        transfer_date:
          description: The date where the reward is actually paid to the consumer
          example: '2019-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        user_offer:
          $ref: '#/components/schemas/AffiliationUserOffer'
      required:
        - amount
        - id
      type: object
    AffiliationUserOffer:
      properties:
        application_channel:
          description: >-
            Offer availability: **ONLINE** if the offer is online only.
            **OFFLINE** if the offer is offline only. **BOTH** if the offer is
            online and offline
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          example: ONLINE
          maxLength: 7
          nullable: true
          readOnly: true
        application_url:
          description: >-
            URL to reach the offer if the offer channel is **ONLINE** or
            **BOTH**
          example: https://www.mybrand.fr
          nullable: true
          readOnly: true
          type: string
        brand:
          $ref: '#/components/schemas/ConsumerOfferBrand'
        commissions:
          description: >-
            List of the different commissions that can be earned by a consumer
            on this offer.
          items:
            $ref: '#/components/schemas/AffiliationCommissionOffer'
          readOnly: true
          type: array
        deep_link_url:
          description: Mandatory affiliate link for the consumer to earn the reward.
          readOnly: true
        description:
          description: description
          readOnly: true
          type: string
        end_date:
          description: 'Date (ex. 2017-12-26T23:00:00+00:00): End date of the offer.'
          example: '2018-12-21T00:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        highlight_level:
          description: >-
            Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner,
            carousel etc...), this value is set by the program manager on each
            offer
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          example: HIGH
          maxLength: 7
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        is_consumed:
          description: >-
            Has the consumer already consumed the coupon of the current offer?
            If true, yes. If false, no.
          example: true
          readOnly: true
          type: boolean
        is_favorite:
          description: TRUE if the offer is liked by consumer, FALSE if not
          example: true
          readOnly: true
          type: boolean
        legal_terms:
          description: Legal terms
          readOnly: true
          type: string
        max_fixed_reward_amount:
          description: Maximum absolute reward (in currency) for this offer.
          readOnly: true
          type: number
        max_reward_rate:
          description: >-
            Maximum  reward rate (in % of an eligible transaction amount) for
            this offer.
          maximum: 100
          minimum: 0
          readOnly: true
          type: number
        name:
          description: Name of the object
          readOnly: true
          type: string
        picture:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        publication_date:
          description: >-
            Offer publication datetime. An offer can be published before its
            starting date (for teasing purposes)
          example: '2019-01-01T00:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        reference:
          description: >-
            Unique reference of the offer. Human readable, made out from the
            concatenation of the brand name + creation date + increment.
          example: MYBRAND-20180220-001
          readOnly: true
          type: string
        start_date:
          description: 'Date (ex. 2017-12-26T23:00:00+00:00): Start date of the offer.'
          example: '2018-12-21T00:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        status:
          description: >
            - ACTIVE: The offer is available and your customers can benefit from
            it.

            - COMPLETED: All the budget has been spent, the offer is no longer
            active.

            - PUBLISHED: The offer is published but not yet active. You can
            choose to display it to tease your customers.
          readOnly: true
          type: string
        type:
          description: 'Enum in: CASHBACK, UNIQUE_COUPON, GENERIC_COUPON'
          enum:
            - AFFILIATION
          example: CASHBACK
          readOnly: true
          type: string
      required:
        - reference
        - type
      type: object
    ConsumerOfferBrand:
      properties:
        description:
          description: description
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        legal_terms:
          description: Legal terms
          nullable: true
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          type: string
        universes:
          description: Universes
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          readOnly: true
          type: array
      type: object
    AffiliationCommissionOffer:
      properties:
        name:
          description: Name of the object
          type: string
        reward_fixed_amount:
          description: >-
            Fixed amount of commission that will be generated by a sale on the
            commission group. May be None for rate-based commission groups.
          type: number
        reward_rate:
          description: >-
            Commission rate that will be generated by a sale on the commission
            group. May be "None" for fixed amount commission groups.
          maximum: 100
          minimum: 0
          type: number
        type:
          description: 'Enum in: CASHBACK, UNIQUE_COUPON, GENERIC_COUPON'
          enum:
            - percentage
            - fix
          example: CASHBACK
          maxLength: 10
          type: string
      required:
        - name
        - type
      type: object
    Image:
      properties:
        content_type:
          description: Content type of the file
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        links:
          $ref: '#/components/schemas/Links'
        name:
          description: Name of the object
          type: string
        owner:
          description: ID of the uploader of the file
          format: uuid
          nullable: true
          type: string
      type: object
    ConsumerUniverse:
      properties:
        children:
          description: Children universes of the current universe (nested objects)
          items:
            $ref: '#/components/schemas/ConsumerUniverse'
          nullable: true
          readOnly: true
          type: array
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        name:
          description: Name of the object
          nullable: true
          readOnly: true
          type: string
        parent_id:
          description: 'UUID : unique ID of the parent of the object'
          example: 5c5e6d04-9dfc-46b8-9432-7c977f1dca23
          format: uuid
          nullable: true
          readOnly: true
          type: string
      type: object
    Links:
      properties:
        download:
          description: The link to download the data.
          format: url
          type: string
        preview:
          description: The link to preview the data.
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````